Post a YouTube video
Uploads a video (or Short) to a YouTube channel with full video options: category, visibility, license, embedding, subscriber notification, and made-for-kids flag. The schedule field works like createPost. Send an Idempotency-Key header to make retries safe.
Authorization
api-key Workspace API key (nim_live_...)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/posts/youtube" \ -H "Content-Type: application/json" \ -d '{ "channelId": "123e4567-e89b-12d3-a456-426614174000", "title": "How we built our launch in 7 days", "mediaId": "string" }'{ "id": "123e4567-e89b-12d3-a456-426614174000", "channelId": "123e4567-e89b-12d3-a456-426614174000", "content": "Launching something new today 🚀", "title": null, "contentType": "POST", "status": "SCHEDULED", "scheduledAt": "2026-08-01T09:00:00.000Z", "publishedAt": null, "createdAt": "2026-07-05T10:00:00.000Z", "mediaIds": [ "string" ]}